> ## Documentation Index
> Fetch the complete documentation index at: https://support.lilt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Monitor file translation

> Get information about the one or more Files that are being translated with machine translation. Query filters are optional but at least one must be provided.

Example CURL:
```bash
curl -X GET 'https://api.lilt.com/v2/translate/file?key=API_KEY&translationIds=1,2&fromTime=1607966744&toTime=1707966744&status=InProgress'
```





## OpenAPI

````yaml /api-reference/openapi-bundled.yaml get /v2/translate/file
openapi: 3.0.3
info:
  title: LILT API
  description: >
    LILT API Support: https://lilt.atlassian.net/servicedesk/customer/portals


    The LILT API enables programmatic access to the full-range of LILT backend
    services including:
      * Training of and translating with interactive, adaptive machine translation
      * Large-scale translation memory
      * The Lexicon (a large-scale termbase)
      * Programmatic control of the LILT CAT environment
      * Translation memory synchronization


    Requests and responses are in JSON format. The REST API only responds to
    HTTPS / SSL requests.


    The base url for this REST API is `https://api.lilt.com/`.


    ## Authentication


    Requests are authenticated via API key, which requires the Business plan.


    Requests are authenticated using [HTTP Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication). Add your
    API key as both the `username` and `password`.


    For development, you may also pass the API key via the `key` query
    parameter. This is less secure than HTTP Basic Auth, and is not recommended
    for production use.


    ## Quotas


    Our services have a general quota of 4000 requests per minute. Should you
    hit the maximum requests per minute, you will need to wait 60 seconds before
    you can send another request.
  version: v3.0.3
  license:
    name: LILT Platform Terms and Conditions
    url: https://lilt.com/lilt-platform-terms-and-conditions
servers:
  - url: https://api.lilt.com
security:
  - BasicAuth: []
  - ApiKeyAuth: []
paths:
  /v2/translate/file:
    get:
      tags:
        - Translate
      summary: Monitor file translation
      description: >+
        Get information about the one or more Files that are being translated
        with machine translation. Query filters are optional but at least one
        must be provided.


        Example CURL:

        ```bash

        curl -X GET
        'https://api.lilt.com/v2/translate/file?key=API_KEY&translationIds=1,2&fromTime=1607966744&toTime=1707966744&status=InProgress'

        ```

      operationId: monitorFileTranslation
      parameters:
        - name: translationIds
          in: query
          description: List of translation ids, comma separated
          schema:
            type: string
        - name: status
          in: query
          description: >-
            One of the translation statuses - `InProgress`, `Completed`,
            `Failed`, `ReadyForDownload`
          schema:
            type: string
        - name: fromTime
          in: query
          description: >-
            Results after this time (inclusive) will be returned, specified as
            seconds since the Unix epoch.
          schema:
            type: number
        - name: toTime
          in: query
          description: >-
            Results before this time (exclusive) will be returned, specified as
            seconds since the Unix epoch.
          schema:
            type: number
      responses:
        '200':
          description: Translation Info
          content:
            application/json:
              schema:
                title: monitorFileTranslationResponse
                type: array
                description: List of TranslationInfo objects
                items:
                  $ref: '#/components/schemas/TranslationInfo'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MonitorFileTranslationTypeError'
components:
  schemas:
    TranslationInfo:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for this translation.
        fileId:
          type: integer
          description: id of the File that is being translated.
        status:
          type: string
          description: >-
            Status of the translation - `InProgress`, `ReadyForDownload`,
            `Completed`, `Failed`.
        createdAt:
          type: integer
          description: >-
            Time when this translation was started, in seconds since the Unix
            epoch.
        errorMsg:
          type: string
          description: Error message, present when status is `Failed`.
      description: |
        Information describing a batch translation process.
      example:
        id: 1
        fileId: 2,
        status: InProgress
        createdAt: 1609357135
    MonitorFileTranslationTypeError:
      type: object
      description: >
        Monitor file translation can have different errors based on reasons
        explained in the examples.
      example:
        Unsupported_file_type:
          message: Customer gave us garbage.
        File_extraction_error:
          message: Customer gave us garbage.
        No_translatable_content:
          message: Customer gave us an empty file.
        Batch_MT_initiation_failure:
          message: Something is wrong with MT.
        Batch_MT_response_failure:
          message: Something is wrong with MT.
        File_reassembly_error:
          message: We couldn't put the translated file back together.(okapi error)
        Billing_error:
          message: We couldn't log the information about the MT to our billing system.
        Invalid_memory:
          message: Something is wrong with the memory.
        Storage_error:
          message: Error occurred interacting with file storage.
  responses:
    UnauthorizedError:
      description: Unauthorized
      content:
        application/octet-stream:
          schema:
            type: string
        text/plain:
          schema:
            type: string
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      name: key
      in: query

````